nav {
  padding-top: 16px;
  padding-bottom: 16px;
  height: 108px;
}

body.lock {
  overflow: hidden;
  padding-right: 16px;

  @media(max-width: 992px) {
    padding-right: 0;
  }
}

/* body.padding {
  padding-right: 16px;

  @media(max-width: 992px) {
    padding-right: 0;
  }
} */

.nav-inner {
  border-radius: 16px;
  gap: 64px;


  position: fixed;
  width: 100%;
  left: 0;
  right: 0;
  margin: 0 auto;
  max-width: 1348px;
  z-index: 10;

  @media(max-width: 1400px) {
   
  }

  @media(max-width: 1370px) {
    max-width: 1305px;
  }

  @media(max-width: 1360px) {
    padding-left: 30px;
    padding-right: 30px;
  }

  @media(max-width: 600px) {
    padding-left: 16px;
    padding-right: 16px;
  }

  & .nav-inner_navigation {
    padding: 18px 16px;
    display: flex;
    justify-content: space-between;
    border-radius: 16px;
    border: 1px solid rgba(255, 255, 255, 0.32);
    background: rgba(255, 255, 255, 0.32);
    box-shadow: 0px 0px 32px 0px rgba(92, 122, 87, 0.08);
    backdrop-filter: blur(16px);
    border-radius: 16px;
    position: relative;

    & .nav-right {
      display: flex;
      align-items: center;
      flex-direction: column;

      & .nav-right__inner {
        display: flex;
        align-items: center;
        position: relative;

      }

      & .submenus-container {
        width: 100%;
        position: absolute;
        left: 0;
        background-color: #fff;
        top: 79px;
        border: 1px solid #fff;
        border-bottom: none;
        border-top: none;
        /* box-shadow: 0px 0px 32px 0px rgba(92, 122, 87, 0.08); */
        backdrop-filter: blur(16px);
        border-radius: 16px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
      }

      & .menu-items {
        margin-top: 0;
        margin-bottom: 0;
        display: flex;
        align-items: center;

        & li {
          margin: 0;

          &::before {
            display: none;
          }

          & a {
            padding: 8px 16px;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 6px;
            color: var(--Text-Primary);
            font-family: 'Evolventa';
            font-size: 18px;
            font-style: normal;
            font-weight: 400;
            line-height: 132%;
            letter-spacing: -0.36px;
            transition: color .3s ease-in;

            & span {
              color: currentColor;
              font-family: inherit;
              font-size: inherit;
              font-style: inherit;
              font-weight: inherit;
              line-height: inherit;
              letter-spacing: inherit;
            }

            & svg {
              & path {
                transition: fill .3s ease-in;
              }
            }

            @media(max-width: 1200px) {
              font-size: 16px;
            }
          }

          &:hover {
            & a {
              color: #5C7A57;

              & svg {
                & path {
                  fill: #5C7A57;
                }
              }

            }
          }
        }

        & a.active {
          color: #5C7A57;

          & svg {
            transform: rotate(180deg);

            & path {
              fill: #5C7A57;

            }
          }
        }
      }
    }

    & .nav-right.mobile {
      display: none;
      align-items: flex-end;
    }

    & .nav-right.desktop {
      align-items: flex-start;
    }

    @media(max-width: 1024px) {
      & .nav-right.desktop {
        display: none;
      }

      & .nav-right.mobile {
        display: flex;
        gap: 12px;

        & .burger-menu__line {
          position: relative;
          width: 16px;
          height: 1.5px;
          background-color: #333;
          /* transition: all .3s; */

          &::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 1.5px;
            background-color: #333;
            left: 0;
            top: -5px;
            /* transition: all .3s; */
          }

          &::after {
            content: '';
            position: absolute;
            width: 16px;
            height: 1.5px;
            background-color: #333;
            left: 0;
            top: 5px;
            /* transition: all .3s; */
          }
        }

        & .burger-menu.active {
          & .burger-menu__line {

            background-color: transparent;
            /* transition: all .3s; */

            &::before {
              /* transition: all .3s; */
              top: 0;
              transform: rotate(-45deg);
            }

            &::after {
              /* transition: all .3s; */
              top: 0;
              transform: rotate(45deg);
            }
          }
        }
      }
    }


  }

  /* & .sub-menu {
    display: none;
    gap: 32px;
    margin-top: 24px;
    justify-content: space-between;
  } */

  & .sub-menu {
    /* display: flex; */
    gap: 32px;
    margin-top: 24px;
    display: none;
    padding: 16px;
    border-radius: 16px;



    & .catalog-menu__left {
      max-width: 409px;
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      & .company-menu__contacts {
        display: flex;
        flex-direction: column;
        gap: 6px;

        & a {
          color: var(--Text-Primary);
          font-family: Evolventa;
          font-size: 18px;
          font-style: normal;
          font-weight: 400;
          line-height: 132%;
          letter-spacing: -0.36px;
        }
      }

      & .catalog-menu__shops {
        & a:not(:last-child) {
          max-width: 32.4%;
          width: 100%;
          height: 60px;
        }
      }

      & .catalog-menu__cats {
        display: flex;
        flex-direction: column;
        gap: 8px;

        & a {
          display: flex;
          justify-content: space-between;
          align-items: center;
          width: 100%;

          & span {
            color: var(--Text-Primary);
            text-align: center;
            font-family: 'Evolventa';
            font-size: 18px;
            font-style: normal;
            font-weight: 400;
            line-height: 132%;
            letter-spacing: -0.36px;
            padding: 8px 16px;
            transition: color .3s ease-in;
          }

          & svg {
            & path {
              transition: color .3s ease-in;
            }
          }

          &:hover {
            & span {
              color: #5C7A57;
            }

            & svg {
              & path {
                fill: #5C7A57;
              }
            }
          }
        }
      }


    }

    .catalog-menu__right {
      max-width: 926px;
      width: 100%;

      @media(max-height: 720px) {
        height: calc(100vh - 11rem);
        overflow-y: auto;
      }

      & .catalog-menu__subcats-items {
        display: grid;
        grid-template-columns: repeat(12, 1fr);
        gap: 8px;
      }

      & .catalog-menu__subcats-item {
        height: 285px;
        border-radius: 8px;
        background-size: cover;
        background-position: top;
        grid-column: span 6;
        cursor: pointer;
        position: relative;
        border-radius: 8px;


        &:nth-child(5) {
          grid-column: span 3;
          height: 120px;
        }

        &:nth-child(6) {
          grid-column: span 3;
          height: 120px;
        }

        &:nth-child(7) {
          grid-column: span 3;
          height: 120px;
        }

        &:nth-child(8) {
          grid-column: span 3;
          height: 120px;
        }

        & .catalog-menu__subcats-item__name {
          position: absolute;
          left: 12px;
          bottom: 20px;
          color: #FFF;
          font-family: 'Evolventa';
          font-size: 18px;
          font-style: normal;
          font-weight: 400;
          line-height: 132%;
          letter-spacing: -0.36px;
        }

        & svg {
          position: absolute;
          bottom: 20px;
          right: 24px;
          transition: all .3s;
        }


        &:nth-child(5) {
          & .catalog-menu__subcats-item__name {
            left: 8px;
            bottom: 12px;
            max-width: 139px;
          }

          & svg {
            bottom: 24px;
            right: 28px;
          }
        }

        &:nth-child(6) {
          & .catalog-menu__subcats-item__name {
            left: 8px;
            bottom: 12px;
            max-width: 139px;
          }

          & svg {
            bottom: 24px;
            right: 28px;
          }
        }

        &:nth-child(7) {
          & .catalog-menu__subcats-item__name {
            left: 8px;
            bottom: 12px;
            max-width: 139px;
          }

          & svg {
            bottom: 24px;
            right: 28px;
          }
        }

        &:nth-child(8) {
          & .catalog-menu__subcats-item__name {
            left: 8px;
            bottom: 12px;
            max-width: 139px;
          }

          & svg {
            bottom: 24px;
            right: 28px;
          }
        }

        &:hover {
          & svg {
            transition: all .3s;
            transform: rotate(45deg);
          }
        }
      }
    }
  }

  .catalog-menu__shops {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;

    & a {
      border-radius: 8px;
      background-color: #3E534D;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 16px 8px;
      text-align: center;
      color: #fff;
      font-family: 'Evolventa';
      font-size: 16px;
      font-style: normal;
      font-weight: 400;
      line-height: 132%;
      letter-spacing: -0.32px;
      height: 46px;
      flex: 0 0 100%;
    }

    & a:not(:last-child) {
      max-width: 32.8%;
      width: 100%;
      height: 60px;

      @media(max-width:603px) {
        max-width: 32.5%;
      }

      @media(max-width:491px) {
        max-width: 32.3%;
      }

      @media(max-width:413px) {
        max-width: 32.1%;
      }

      @media(max-width:361px) {
        max-width: 31.8%;
      }
    }

  }

  & .sub-menu.active {
    display: flex;
  }

  .mobile-menu__wrap {
    display: none;
    background-color: #fff;
    height: 100%;
    border-bottom-right-radius: 16px;
    border-bottom-left-radius: 16px;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 18px;
    flex-direction: column;
    overflow-y: auto;
    height: calc(100vh - 110px);
    gap: 16px;


    & .mobile-menu__subcats-items {
      margin-top: 0;
      margin-bottom: 0;
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 8px;

      & .mobile-menu__subcats-item {
        height: 254px;
        position: relative;
        background-position: top;
        background-size: cover;
        border-radius: 8px;
        overflow: hidden;

        @media(max-width: 600px) {
          height: 119px;
        }

        & .mobile-menu__subcats-item__name {
          color: #FFF;
          font-family: 'Evolventa';
          font-size: 18px;
          font-style: normal;
          font-weight: 400;
          line-height: 132%;
          letter-spacing: -0.36px;
          position: absolute;
          max-width: 174px;
          bottom: 20px;
          left: 12px;
        }

        & svg {
          position: absolute;
          right: 28px;
          bottom: 24px;
        }
      }
    }

    & .mobile-menu__items {
      margin-bottom: 0;
      margin-top: 0;

      & li {
        margin: 0;

        & a {
          width: 100%;
          display: block;
          padding-top: 8px;
          padding-bottom: 8px;
          color: var(--Text-Primary);
          font-family: 'Evolventa';
          font-size: 10px;
          font-style: normal;
          font-weight: 400;
          line-height: 120%;
          /* 12px */
        }
      }
    }
  }

  .mobile-menu__wrap.active {
    display: flex;
    position: absolute;
    width: 100%;
    left: 0;
    top: 75px;
  }


}

.nav-inner.active {
  background-color: #fff;

  & .nav-inner_navigation {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border: none;
  }

  @media(min-width: 1024px) {
    right: 16px;
  }

  @media(max-width: 1300px) {
    width: 95%;
  }


}

.nav-inner.border__radius {
  background-color: #fff;

  @media(max-width: 1305px) {
    padding-left: 0;
    padding-right: 0;
    /* margin-right: 30px; */
    /* margin-left: 30px; */
    max-width: 95%;
  }

  @media(max-width: 600px) {
    max-width: 92%;
  }

  & .nav-inner_navigation {
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
    border: none;
  }
}

.nav-inner.border__none {


  & .nav-inner_navigation {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border: none;
  }
}

.nav-inner {
  & .nav-inner_navigation.active {
    background: #fff;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    border-color: #fff;
    box-shadow: none;
    border: none;
  }


}



.overlay {
  background-color: rgba(51, 51, 51, 0.48);
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: none;
  z-index: 9;
}

.overlay.active {
  display: block;
}

.overlay.visible {
  display: block;
}

.company-menu__right {
  max-width: 926px;
  width: 100%;

  .company-menu__subcats-items {
    display: grid;
    gap: 8px;
    grid-template-columns: repeat(4, 1fr);

    & .company-menu__subcats-item {
      height: 364px;
      cursor: pointer;

      & .company-menu__subcats-item__name {
        color: #595959;
        font-family: 'Evolventa';
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 124%;
        letter-spacing: -0.28px;
        margin-bottom: 4px;
      }

      & .company-menu__subcats-item__image {
        height: 336px;
        width: 100%;
        border-radius: 12px;
        overflow: hidden;

        @media(max-width:1300px) {
          height: 240px;
        }

        & img {
          object-fit: cover;
          width: 100%;
          height: 100%;
        }

        & video {
          object-fit: cover;
          width: 100%;
          height: 100%;
        }
      }
    }
  }
}

.shops-menu__items {
  display: flex;
  gap: 8px;
  width: 100%;
  justify-content: space-between;

  & .shops-menu__item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 16px;
    border-radius: 12px;
    background: radial-gradient(524.79% 141.42% at 0% 0%, rgba(100, 151, 91, 0.20) 0%, rgba(100, 151, 91, 0.05) 100%);
    height: 140px;
    max-width: 361px;
    width: 100%;
    overflow: hidden;
    cursor: pointer;

    &:last-child {
      padding: 0;
    }

    & .shops-menu__map {
      width: 100%;
      height: 100%;

      & img {
        object-fit: cover;
        width: 100%;
        height: 100%;
      }
    }

    & .shops-menu__item-head {
      display: flex;
      justify-content: space-between;
      align-items: center;

      & .shops-menu__item-icon {}

      & .shops-menu__item-arrow {}
    }

    & .shops-menu__item-text {}
  }
}

.search-container {
  position: absolute;
  right: 16px;
  top: 50%;
  transform: translateY(-50%);
  width: 85%;
  z-index: -1;
  height: 40px;
  background-color: #fff;
  opacity: 0;

  @media(max-width: 1024px) {
    right: 45px;
    width: 60%;
  }

  @media(max-width: 380px) {
    right: 45px;
    width: 55%;
  }
}

.search-container.active {
  z-index: 3;
  opacity: 1;
}

.search-form {
  /* position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%); */
  height: 100%;
  background-color: #fff;
  border: 1px solid #5C7A57;
  width: 100%;
  transition: all .3s;
  /* opacity: 0;
  z-index: -1; */
  border-radius: 16px;
  overflow: hidden;
  opacity: 1;
  z-index: 2;
  transition: all .3s;

  &::before {
    content: '';
    position: absolute;
    left: 0px;
    top: 50%;
    transform: translateY(-48%);
    background-image: url(../../img/search.svg);
    background-repeat: no-repeat;
    width: 40px;
    height: 40px;
    background-size: contain;
  }


  & .clear-search {
    position: absolute;
    right: 16px;
    top: 50%;
    transform: translateY(-48%);
    width: 12px;
    height: 12px;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: center;

    & img {
      object-fit: contain;
      width: 100%;
      height: 100%;
    }
  }

  & input {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    border: none;
    background: rgba(255, 255, 255, 0.08);
    outline: none;
    padding-left: 36px;
    position: relative;
    color: var(--Text-Primary);
    font-family: 'Evolventa';
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
    letter-spacing: -0.36px;

    &::placeholder {
      font-family: 'Evolventa';
      font-size: 18px;
      font-style: normal;
      font-weight: 400;
      line-height: 100%;
      letter-spacing: -0.36px;

      @media(max-width: 600px) {
        font-size: 10px;
      }
    }
  }
}

/* .search-form.active {
  opacity: 1;
  z-index: 2;
  transition: all .3s;
} */

.search-result {
  position: absolute;
  left: 0 !important;
  background-color: #fff;
  width: 100%;
  top: 75px !important;
  opacity: 0;
  z-index: -1;
  transition: all .3s;
  display: flex;
  justify-content: space-between;
  gap: 48px;
  padding-left: 16px;
  padding-right: 16px;
  padding-bottom: 16px;
  padding-top: 16px;
  height: 0;
  overflow: hidden;
  

  @media(max-width: 992px) {
    flex-direction: column;
    max-height: 400px;
    overflow-y: auto;
    overflow-x: hidden;
  }

  & .search-result__list {
    max-width: 409px;
    width: 100%;

    @media(max-width: 1200px) {
      max-width: 300px;
    }

    @media(max-width: 992px) {
      max-width: 100%;
    }


    & .search-result__list-items {
      display: flex;
      flex-direction: column;
      gap: 32px;

      & .search-result__list-item {
        & .search-result__list-item__title {
          color: #595959;
          font-family: 'Evolventa';
          font-size: 14px;
          font-style: normal;
          font-weight: 400;
          line-height: 124%;
          letter-spacing: -0.28px;
          margin-bottom: 10px;
        }

        & .search-result__list-item__links {
          display: flex;
          flex-direction: column;
          gap: 10px;

          & .search-result__list-item__link {
            display: flex;
            align-items: center;
            justify-content: space-between;
            & span {
              color: var(--Text-Primary);
              font-family: 'Evolventa';
              font-size: 18px;
              font-style: normal;
              font-weight: 400;
              line-height: 132%;
              letter-spacing: -0.36px;

              &:last-child {}
            }
          }
        }
      }
    }
  }

  & .products-items {
    grid-template-columns: repeat(2, 1fr);
    max-height: 664px;
    overflow-x: hidden;
    overflow-y: auto;
    max-width: 951px;
    width: 100%;
    padding-right: 12px;
    gap: 16px;

    @media(max-width: 992px) {
      max-height: initial;
      overflow-x: initial;
      overflow-y: initial;
      padding-right: 0;
    }

    @media(max-width: 768px) {
      grid-template-columns: repeat(1, 1fr);
    }
  }
}

.search-result.active {
  opacity: 1;
  z-index: 2;
  transition: all .3s;
  height: auto;
  overflow: visible;
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;

  @media(max-width: 992px) {
    flex-direction: column;
    max-height: 400px;
    overflow-y: auto;
    overflow-x: hidden;

  }
}